Subject: RE: [SIP] multiple calls for IP telephony client

From: Jonathan Rosenberg <[email-masked]>
Date: Sun, 10 Dec 2000 18:39:49 -0500

> -----Original Message-----
> From: Arnoud van Wijk (ELN) [mailto:[email-masked]]
> Sent: Tuesday, November 28, 2000 11:19 AM
> To: Sip (E-mail)
> Subject: [SIP] multiple calls for IP telephony client
> 
> 
> While I was thinking about functionality of the User Agents 
> for IP telephony. I got myself tangled in the following:
> 
> A call is one or more sessions ----> no problem, all sessions 
> have the same Call_ID
> This means that if A initiates a call, and B receives the 
> call and B will then add 2 minutes later another session (a 
> text session for relay purposes or a seperate video stream), 
> it will be considered to be the same call?

Yes. It would be a re-INVITE with the same call-id.

> I know that SIP 
> can just do this within the same call_ID via a re-invite.
> But if B wants the text stream or video stream  
> But if B's session is seen as a new call, does it mean that 
> the IP telephony client is handling 2 seperate calls? 

Why would the re-INVITE from B be a different call? It would be the same
call.

> A second question is:
> Can the originator of a session be found in the re-invite?
> If A calls B with session 1 and B comes then with session 2, 
> the re-invite (adding session 2 to session 1) has then from: 
> [email-masked]?
> even that originally the invite (session 1) was reading from: 
> [email-masked] (A started the call)?
> I do believe so.

The From field is always the identity of the originator of the request. So,
if A reinvites B, the From field would have A. If B reinvites A, the from
field has B.

-Jonathan R.
---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip